package com.mvc.entity;

public class DicForwarder {
    private Integer id;

    private String serverName;

    private String serverIp;

    private Integer serverPort;

    private Integer transportProtocol;

    private Integer messageProtocol;

    private String extendFlag;

    private String remark;

    private String useFlag;

    private String centerAddress;

    private String messagePwd;

    private String stationType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName == null ? null : serverName.trim();
    }

    public String getServerIp() {
        return serverIp;
    }

    public void setServerIp(String serverIp) {
        this.serverIp = serverIp == null ? null : serverIp.trim();
    }

    public Integer getServerPort() {
        return serverPort;
    }

    public void setServerPort(Integer serverPort) {
        this.serverPort = serverPort;
    }

    public Integer getTransportProtocol() {
        return transportProtocol;
    }

    public void setTransportProtocol(Integer transportProtocol) {
        this.transportProtocol = transportProtocol;
    }

    public Integer getMessageProtocol() {
        return messageProtocol;
    }

    public void setMessageProtocol(Integer messageProtocol) {
        this.messageProtocol = messageProtocol;
    }

    public String getExtendFlag() {
        return extendFlag;
    }

    public void setExtendFlag(String extendFlag) {
        this.extendFlag = extendFlag == null ? null : extendFlag.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(String useFlag) {
        this.useFlag = useFlag == null ? null : useFlag.trim();
    }

    public String getCenterAddress() {
        return centerAddress;
    }

    public void setCenterAddress(String centerAddress) {
        this.centerAddress = centerAddress == null ? null : centerAddress.trim();
    }

    public String getMessagePwd() {
        return messagePwd;
    }

    public void setMessagePwd(String messagePwd) {
        this.messagePwd = messagePwd == null ? null : messagePwd.trim();
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType == null ? null : stationType.trim();
    }
}